venerdì, maggio 04, 2007

Splashy => un bel boot splash per Debian

Spalshy è un'ottima utility per avere il boot splash in sistemi Linux senza che sia necessario patchare il kernel.
Debian Etch per default non ha alcun boot splash attivo.
Questo di sicuro è un'ottima cosa nei sistemi server dove spesso non viene installato neanche il server X.
Per chi però vuole nel proprio pc una Debian un pò più sexy splashy è un'ottima scelta (ma non l'unica).


Splashy non è pacchettizzata solamente per la versione instabile di Debian => Sid, ma sembra funzionare ottimamente anche in Debian Etch.
I pacchetti da installare sono:
splashy => programmi ed utility per impostare il boot splash
libsplashy0 => le sue librerie necessarie
splashy-themes => temi extra per il boot splash

Per l'installazione in Debian Sid è sufficiente:
apt-get install splashy libsplashy0 splashy-themes
mentre per Debian Etch:
wget http://ftp.it.debian.org/debian/pool/main/s/splashy/splashy_0.3.2_i386.deb
wget http://ftp.it.debian.org/debian/pool/main/s/splashy/libsplashy0_0.3.2_i386.deb
wget http://ftp.it.debian.org/debian/pool/main/s/splashy-themes/splashy-themes_0.4_all.deb

sudo dpkg -i *splashy*.deb

Dopo di che bisogna modificare la configurazione di grub.
Editare la sezione del file /boot/grub/menu.lst relativa al proprio kernel aggiungendo "quiet splash vga=791".
Esempio:
title Debian GNU/Linux, kernel 2.6.21.1
root (hd0,7)
kernel /boot/vmlinuz-2.6.21.1 root=/dev/sda8 ro quiet splash vga=791
initrd /boot/initrd.img-2.6.21.1
savedefault

La direttiva vga=791 si riferisce a monitor con risoluzione 1024x768, ma può essere personalizzata come da tabella sottostante:
640x480 800x600 1024x768 1280x1024
256 colori 768 771 773 775
32K colori 784 787 790 793
64K colori 785 788 791 794
16M colori 786 789 792 795

Per verificare quali temi sono stati installati e qual'è il tema corrente:
splashy_config --info
Per cambiare tema:
splashy_config -s *il_mio_tema*
Per vedere in anteprima il tema installato:
splashy test

I temi si trovano nella directory /etc/splashy/themes e sono molto facili da personalizzare in quanto scritti in un file xml molto ben commentato e comprensibile => provare per credere :)

6 commenti:

Stefano ha detto...

Ciao!

Ho provato ad installarlo su debian sid ma facendo
$ sudo splashy test
mi da questo errore:

Splashy ERROR: Couldn't splashy_start_splashy(). Error -2

Qualcuno saprebbe qual'è il mio problema?

daniele ha detto...

@Stefano
Prova a darlo da terminale (e non da X).
Comunque se riavvii vedi subito se funziona o no!

Ciao

Vanni Brutto ha detto...

Che dire, complimenti per l'articolo!
Se posso darti un consiglio ti direi di aggiungere giusto un paio di note...

Per chi usa kernel "compilati in casa" è consigliabile mettere il framebuffer con supporto VESA monolotico, senza includere nessun altro driver specifico per la propria scheda video. Sebbene sembra un controsenso ad esempio X non carica correttamente se si usa il driver nvidia e il supporto framebuffer accelarato per nvidia... la soluzione pulita sarebbe usare il framebuffer modulare caricato su initrd, ma così è molto più semplice!

Un'unica richiesta: ma tu hai capito dove salva il log del boot? Io non ancora! :(

daniele ha detto...

@Vanni Brutto
Grazie per le precisazioni!
Confesso che non ho approfondito molto per quanto riguarda la configurazione ottimale del kernel per splashy - anche perchè non ho una scheda *i*NVIDIA :( . Comunque sicuramente approfondirò il problema!

Per i log di splashy non credo che esistano. Ma in questo caso essere smentito mi farebbe piacere!
Si potrebbe modificare lo script di init ...

Ciao

axelgenus ha detto...

Ciao,

ho provato a seguire la tua guida ma sembra che splashy sia stato aggiornato su Sid e ora la libreria è libsplashy1 e non più 0.

Inoltre, quando provo ad installare i pacchetti mi da un errore relativo alla dipendenza su "libc6".

Anonimo ha detto...

Ciao sembra che con Etch stable non funzioni... ho cercato le stesse versioni nei repo di ubuntu (in quelli di debian sono troppo aggiornate) ma danno comunque problemi di dipendenze soprattutto per libc6.
Peccato :) se trovi altre info resterò in ascolto di questo post. Ciau